Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 254)
+++ trunk/client/modules/Elezioni/menu.php	(revision 265)
@@ -19,7 +19,9 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($descr_com,$fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
 	
@@ -50,8 +52,11 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-		
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		
+	      $sql="$sqlcomu";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		echo "	<td>
@@ -67,5 +72,5 @@
 			";
 			
-		while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    $sel=($id == $id_comune) ? "selected=\"selected\"":"";
 			    echo "<option value=\"$id\" $sel >$descrizione</option>";
@@ -84,6 +89,9 @@
 	
         echo "<td  >";
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste=$res->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {	
@@ -99,5 +107,5 @@
 		<select name=\"id_cons_gen\" class=\"moduloform\" onchange=\"javascript:top.location.href='modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen='+this.options[this.options.selectedIndex].value\">";
 	
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		
      		$sel = ($id == $id_cons_gen) ? "selected=\"selected\"":"";		
@@ -149,6 +157,9 @@
 		Scelta Dati
 		***********************************/
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+ 	$sql="SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($num_circ) = $res->fetch(PDO::FETCH_NUM);
        	 
         	echo "<td>";
@@ -188,6 +199,9 @@
 			}
       		}
-      		$resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
-      		list($chiusa)=mysql_fetch_row($resc); 
+      		$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+	$resc = $dbi->prepare("$sql");
+	$resc->execute();
+
+      		list($chiusa)=$resc->fetch(PDO::FETCH_NUM); 
 		if ($hondt>=1 and $chiusa==1) {
 			echo "<option value=\"consiglieri\" ".$temp['consiglieri']." >"._CALCONS."</option>";
